Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface II

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  POCDMT000040InfrastructureRootTypeId

All Known Implementing Classes:
  IIImpl, POCDMT000040InfrastructureRootTypeIdImpl

    public interface II

extends ANY

A representation of the model object 'II'. An identifier that uniquely identifies a thing or object. Examples are object identifier for HL7 RIM objects, medical record number, order id, service catalog item id, Vehicle Identification Number (VIN), etc. Instance identifiers are defined based on ISO object identifiers.

The following features are supported:

- `Assigning Authority Name`
- `Displayable`
- `Extension`
- `Root`

See Also:
  `CDAR2Package.getII()`

Method Summary
`java.lang.String` | `getAssigningAuthorityName()` Returns the value of the 'Assigning Authority Name' attribute.
`java.lang.String` | `getExtension()` Returns the value of the 'Extension' attribute.
`java.lang.String` | `getRoot()` Returns the value of the 'Root' attribute.
`boolean` | `isDisplayable()` Returns the value of the 'Displayable' attribute.
`boolean` | `isSetDisplayable()` Returns whether the value of the '`Displayable`' attribute is set.
`void` | `setAssigningAuthorityName(java.lang.String value)` Sets the value of the '`Assigning Authority Name`' attribute.
`void` | `setDisplayable(boolean value)` Sets the value of the '`Displayable`' attribute.
`void` | `setExtension(java.lang.String value)` Sets the value of the '`Extension`' attribute.
`void` | `setRoot(java.lang.String value)` Sets the value of the '`Root`' attribute.
`void` | `unsetDisplayable()` Unsets the value of the '`Displayable`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssigningAuthorityName

    java.lang.String getAssigningAuthorityName()

  Returns the value of the 'Assigning Authority Name' attribute. A human readable name or mnemonic for the assigning authority. This name may be provided solely for the convenience of unaided humans interpreting an II value and can have no computational meaning. Note: no automated processing must depend on the assigning authority name to be present in any form.

  Returns:
    the value of the 'Assigning Authority Name' attribute.
  See Also:
    `setAssigningAuthorityName(String)`, `CDAR2Package.getII_AssigningAuthorityName()`

### setAssigningAuthorityName

    void setAssigningAuthorityName(java.lang.String value)

  Sets the value of the '`Assigning Authority Name`' attribute.

  Parameters:
    `value` - the new value of the 'Assigning Authority Name' attribute.
  See Also:
    `getAssigningAuthorityName()`

### isDisplayable

    boolean isDisplayable()

  Returns the value of the 'Displayable' attribute. Specifies if the identifier is intended for human display and data entry (displayable = true) as opposed to pure machine interoperation (displayable = false).

  Returns:
    the value of the 'Displayable' attribute.
  See Also:
    `isSetDisplayable()`, `unsetDisplayable()`, `setDisplayable(boolean)`, `CDAR2Package.getII_Displayable()`

### setDisplayable

    void setDisplayable(boolean value)

  Sets the value of the '`Displayable`' attribute.

  Parameters:
    `value` - the new value of the 'Displayable' attribute.
  See Also:
    `isSetDisplayable()`, `unsetDisplayable()`, `isDisplayable()`

### unsetDisplayable

    void unsetDisplayable()

  Unsets the value of the '`Displayable`' attribute.

  See Also:
    `isSetDisplayable()`, `isDisplayable()`, `setDisplayable(boolean)`

### isSetDisplayable

    boolean isSetDisplayable()

  Returns whether the value of the '`Displayable`' attribute is set.

  Returns:
    whether the value of the 'Displayable' attribute is set.
  See Also:
    `unsetDisplayable()`, `isDisplayable()`, `setDisplayable(boolean)`

### getExtension

    java.lang.String getExtension()

  Returns the value of the 'Extension' attribute. A character string as a unique identifier within the scope of the identifier root.

  Returns:
    the value of the 'Extension' attribute.
  See Also:
    `setExtension(String)`, `CDAR2Package.getII_Extension()`

### setExtension

    void setExtension(java.lang.String value)

  Sets the value of the '`Extension`' attribute.

  Parameters:
    `value` - the new value of the 'Extension' attribute.
  See Also:
    `getExtension()`

### getRoot

    java.lang.String getRoot()

  Returns the value of the 'Root' attribute. A unique identifier that guarantees the global uniqueness of the instance identifier. The root alone may be the entire instance identifier.

  Returns:
    the value of the 'Root' attribute.
  See Also:
    `setRoot(String)`, `CDAR2Package.getII_Root()`

### setRoot

    void setRoot(java.lang.String value)

  Sets the value of the '`Root`' attribute.

  Parameters:
    `value` - the new value of the 'Root' attribute.
  See Also:
    `getRoot()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD